Bug 93273 - EDITING: Undo creating / editing snap lines not working
Summary: EDITING: Undo creating / editing snap lines not working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Draw Snap
  Show dependency treegraph
 
Reported: 2015-08-08 14:39 UTC by Andreas B.
Modified: 2019-12-03 14:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas B. 2015-08-08 14:39:15 UTC
It is not possible to undo creating of dimension line, tested on Mac and on Linux.

Do the following steps, to reproduce it:
1. Create a new draw document
2. Draw a rectangle
3. Create a new snap line (Tab "Dimension Lines" and drag from Ruler, or "Insert" / "Insert snap point/line...")
4. Press CTRL+Z

Result:
The Rectangle is gone, because the snap line does not create an undo entry

Expected Result:
The Snap line is gone


Also Moving of snap lines does not create an undo entry.
In my opinion, this is a bug.
Comment 1 Buovjaga 2015-09-03 17:26:35 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2017-09-01 11:19:34 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-12-03 14:43:51 UTC
Dear Andreas B.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug